## Class TInlineParameterMapParser

Description

TInlineParameterMapParser class.

The inline parameter map syntax lets you embed the property name, the property type, the column type, and a null value replacement into a parametrized SQL statement.

- since: 3.1
- version: $Id: TInlineParameterMapParser.php 1555 2006-12-04 00:02:23Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TInlineParameterMapParser.php (line 25)

Class Constant Summary
PARAMETER_TOKEN_REGEXP = '/#(#?[^#]+#?)#/'
Method Summary
array parse (string $sqlText, array $scope)
void parseMapping (string $token, array $scope)
Methods
parse (line 38)

Parse the sql text for inline parameters.

- return: 'sql' and 'parameters' name value pairs.
- access: public

array parse (string $sqlText, array $scope)

- string $sqlText: sql text
- array $scope: file and node details for exception message.

parseMapping (line 58)

Parse inline parameter with syntax as

#propertyName,type=string,dbype=Varchar,nullValue=N/A,handler=string#

- access: protected

void parseMapping (string $token, array $scope)

- string $token: parameter token
- array $scope: file and node details for exception message.

Class Constants
PARAMETER_TOKEN_REGEXP = '/#(#?[^#]+#?)#/' (line 30)

Regular expression for parsing inline parameter maps.

Documentation generated on Mon, 21 Apr 2008 11:35:19 -0400 by phpDocumentor 1.3.0RC4